%define	name	cheesetracker
%define	version	0.9.15.4
%define release	%mkrel 5

Summary:	Clone of the MS-DOS program Impulse Tracker
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/cheesetronic/%{name}-%{version}.tar.bz2
Source11:	cheese_16x16.png
Source12:	cheese_32x32.png
Source13:	cheese_48x48.png
Patch0:		cheesetracker-0.9.9-lib64-fix.patch
#gw from Gentoo
Patch1:		cheesetracker-0.9.15.3-gcc43.patch
License:	GPLv2+
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt3-devel 
BuildRequires:	libsigc++1.2-devel
BuildRequires:	jackit-devel
BuildRequires:	libaudiofile-devel
BuildRequires:	libalsa-devel
BuildRequires:	scons
BuildRequires:  libgmp-devel
URL:		http://reduz.com.ar/cheesetronic/

%description 
Cheese Tracker is a program to create module music that aims to have
an interface and feature set similar to that of Impulse Tracker. It
also has some advantages such as oscilloscopes over each pattern
track, more detailed sample info, a more detailed envelope editor,
etc. So far it only works in UNIX, but all the interface/audio code is
fully modular and abstracted in individual classes, which should make
the porting of this program to other platforms extremely easy.


%prep
%setup -q
%patch0 -p1 -b .lib64
%patch1 -p1

%build
unset QTDIR
scons %_smp_mflags

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
scons install prefix=$RPM_BUILD_ROOT%{_prefix}
rm -f $RPM_BUILD_ROOT%{_prefix}/bin/.sconsign
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Cheesetracker
Comment=A program for creating music modules
Exec=cheesetracker_qt
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;Sequencer;
EOF

%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#install -D -m 644 debian/%name.1 %buildroot%_mandir/man1/%name.1


%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files
%defattr(-,root,root)
%doc cheesetracker/README cheesetracker/AUTHORS TODO ChangeLog
%doc cheesetracker/examples/*.* 
%doc cheesetracker/docs/*.*
%{_bindir}/cheesetracker_qt
#%_mandir/man1/%name.1*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%_datadir/applications/mandriva-*




%changelog
* Thu Sep 10 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.9.15.4-5mdv2010.0
+ Revision: 437023
- rebuild

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 0.9.15.4-4mdv2009.1
+ Revision: 341483
- fix build
- update license

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Feb 17 2008 Götz Waschk <waschk@mandriva.org> 0.9.15.4-1mdv2008.1
+ Revision: 169914
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 31 2007 Götz Waschk <waschk@mandriva.org> 0.9.15.3-1mdv2008.1
+ Revision: 139802
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 0.9.15.2-1mdv2008.0
+ Revision: 71764
- new version
- drop patch 1

* Thu Aug 09 2007 Götz Waschk <waschk@mandriva.org> 0.9.15.1-1mdv2008.0
+ Revision: 60709
- new version
- update buildrequires

* Tue Aug 07 2007 Götz Waschk <waschk@mandriva.org> 0.9.15-1mdv2008.0
+ Revision: 59652
- new version
- update buildrequires

* Mon Aug 06 2007 Götz Waschk <waschk@mandriva.org> 0.9.14.3-1mdv2008.0
+ Revision: 59217
- fix buildrequires
- new version
- drop patches 1,2
- patch 1 to fix scons build


* Sat Oct 21 2006 Götz Waschk <waschk@mandriva.org> 0.9.9-8mdv2007.0
+ Revision: 71547
+ Status: not released
- Import cheesetracker

* Sat Oct 21 2006 Gtz Waschk <waschk@mandriva.org> 0.9.9-8mdv2007.1
- add man page
- security fix from Debian

* Fri Aug 25 2006 Gtz Waschk <waschk@mandriva.org> 0.9.9-7mdv2007.0
- xdg menu

* Sat Jun 03 2006 Gtz Waschk <waschk@mandriva.org> 0.9.9-6mdv2007.0
- patch to make it build

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.9.9-5mdk
- fix QT detection on x86_64

* Thu Dec 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.9-4mdk
- from Michael Collard <quadfour@iinet.net.au>:
	o x86_64 fixes (P0)

* Thu Jun 17 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9.9-3mdk
- rebuild
- cleanups

* Wed Jun 16 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.9-2mdk
- rebuild for new g++

* Sat Apr 24 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.9-1mdk
- fix installation
- fix docs list
- add source URL
- new version

* Tue Nov 04 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- new version

* Wed Oct 29 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- remove the player binary
- fix buildrequires
- new version

